« LDAPをGUIで。LDAP Browser/EditorとGQ (4/25) | トップページ | XOOPSのIIS/W23へのインストールが Warning: copy(../mainfile.php) エラー (4/28) »

2005.04.27

PHP4のインストールがIIS6/Windows Server 2003でエラーになる。(4/27)

XOOPSを試してみるために、PHP4をIIS6/Windows Server 2003にインストールしようと設定するがエラーになる。IISへの設定はISAPIを使う方法で以下のページを参考に「アプリケーションのマッピング」で拡張子 .PHP に「php4isapi.dll」を指定しているのだが。

PHP: Microsoft IIS / PWS - Manual
http://www.php.net/manual/ja/install.windows.iis.php#install.windows.iis.iis4

Windows NT/2000/XP and IIS 4 or newer

To use the ISAPI module, do the following:

phpinfo()だけのPHPを作って表示させようとすると、

MSIEだと

HTTP 500 内部サーバー エラー
res://C:\WINDOWS\system32\shdoclc.dll/http_500.htm#http://(WWWサーバ名)/info.php

ページを表示できません

Mozilla Firefoxだと

Error
http://(WWWサーバ名)/info.php

指定されたモジュールが見つかりません。

というエラーになる。

結局、ISAPIを使う方法はあきらめて php.exe を使うCGI の方法に変更したら動いた。うーん、宿題。

PHP: Microsoft IIS / PWS - Manual
http://www.php.net/manual/ja/install.windows.iis.php#install.windows.iis.iis4

If you want to use the CGI binary, do the following:

 

|

« LDAPをGUIで。LDAP Browser/EditorとGQ (4/25) | トップページ | XOOPSのIIS/W23へのインストールが Warning: copy(../mainfile.php) エラー (4/28) »

コメント

コメントを書く



(ウェブ上には掲載しません)




トラックバック

この記事のトラックバックURL:
http://app.cocolog-nifty.com/t/trackback/49099/3901565

この記事へのトラックバック一覧です: PHP4のインストールがIIS6/Windows Server 2003でエラーになる。(4/27):

« LDAPをGUIで。LDAP Browser/EditorとGQ (4/25) | トップページ | XOOPSのIIS/W23へのインストールが Warning: copy(../mainfile.php) エラー (4/28) »